org.richfaces.component

## Class UIScrollableDataTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.ajax4jsf.component.UIDataAdaptor
        - - org.ajax4jsf.component.SequenceDataAdaptor
          - - org.richfaces.component.UIScrollableDataTable

- All Implemented Interfaces:
    javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.ScriptExportable, org.richfaces.component.Selectable, org.richfaces.component.Sortable
  Direct Known Subclasses:
    HtmlScrollableDataTable

      public abstract class UIScrollableDataTable
      extends org.ajax4jsf.component.SequenceDataAdaptor
      implements org.ajax4jsf.component.AjaxComponent, org.richfaces.component.Sortable, org.richfaces.component.Selectable, org.richfaces.component.ScriptExportable

  Author:
    Anton Belevich

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor

      `org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `SORT_MULTI`
    `static java.lang.String` | `SORT_SINGLE`

    - ### Fields inherited from class org.ajax4jsf.component.UIDataAdaptor

      `COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIData

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIScrollableDataTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `protected boolean` | `broadcastLocal(javax.faces.event.FacesEvent event)`
    `protected org.ajax4jsf.model.DataComponentState` | `createComponentState()`
    `protected org.ajax4jsf.model.ExtendedDataModel` | `createDataModel()`
    `protected java.util.Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `void` | `encodeEnd(javax.faces.context.FacesContext context)`
    `protected java.util.Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
    `abstract java.lang.Object` | `getActiveRowKey()`
    `java.util.Collection<java.lang.String>` | `getResponseData()`
    `javax.faces.convert.Converter` | `getRowKeyConverter()`
    `java.lang.String` | `getScrollPos()`
    `abstract org.richfaces.model.SelectionMode` | `getSelectionMode()`
    `org.richfaces.event.sort.SortListener` | `getSortListener()`
    `abstract java.lang.String` | `getSortMode()`
    `abstract org.richfaces.model.SortOrder` | `getSortOrder()`
    `boolean` | `isAjaxSingle()`
    `boolean` | `isCacheable()`
    `boolean` | `isLimitToList()`
    `boolean` | `isSelectionEnabled()`
    `void` | `processDecodes(javax.faces.context.FacesContext faces)`
    `void` | `processScrolling(javax.faces.event.FacesEvent event)`
    `void` | `processSortingChange(javax.faces.event.FacesEvent event)`
    `void` | `processUpdates(javax.faces.context.FacesContext faces)`
    `void` | `processValidators(javax.faces.context.FacesContext faces)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `resetReqRowsCount()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `abstract void` | `setActiveRowKey(java.lang.Object activeRowKey)`
    `void` | `setAjaxSingle(boolean single)`
    `void` | `setLimitToList(boolean submitForm)`
    `void` | `setResponseData(java.util.Collection<java.lang.String> responseData)`
    `void` | `setRowIndex(int index)`
    `void` | `setRowKeyConverter(javax.faces.convert.Converter rowKeyConverter)`
    `void` | `setScrollPos(java.lang.String scrollPos)`
    `abstract void` | `setSelectionMode(org.richfaces.model.SelectionMode mode)`
    `void` | `setSortListener(org.richfaces.event.sort.SortListener sortListener)`
    `abstract void` | `setSortMode(java.lang.String mode)`
    `abstract void` | `setSortOrder(org.richfaces.model.SortOrder sortOrder)`
    `void` | `walk(javax.faces.context.FacesContext faces, org.ajax4jsf.model.DataVisitor visitor, java.lang.Object argument)`

    - ### Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor

      `getDataModel, setDataModel`

    - ### Methods inherited from class org.ajax4jsf.component.UIDataAdaptor

      `addAjaxKeyEvent, addRequestKey, beforeRenderResponse, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, invocableChildren, invokeOnComponent, isRowAvailable, iterate, keepSaved, processDecodes, processUpdates, processValidators, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowKey, setRowKey, setRowKeyVar, setStateVar, setupVariable, setValue`

    - ### Methods inherited from class javax.faces.component.UIData

      `getFamily, getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isBypassUpdates, isIgnoreDupResponses, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

    - ### Methods inherited from interface org.richfaces.component.Selectable

      `getSelection, setSelection`

    - ### Methods inherited from interface org.richfaces.component.ScriptExportable

      `getScriptVar, setScriptVar`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### SORT_SINGLE

          public static final java.lang.String SORT_SINGLE

      See Also:
        Constant Field Values

    - #### SORT_MULTI

          public static final java.lang.String SORT_MULTI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIScrollableDataTable

          public UIScrollableDataTable()

  - ### Method Detail

    - #### getSortOrder

          public abstract org.richfaces.model.SortOrder getSortOrder()

      Specified by:
        `getSortOrder` in interface `org.richfaces.component.Sortable`

    - #### setSortOrder

          public abstract void setSortOrder(org.richfaces.model.SortOrder sortOrder)

      Specified by:
        `setSortOrder` in interface `org.richfaces.component.Sortable`

    - #### getResponseData

          public java.util.Collection<java.lang.String> getResponseData()

    - #### setResponseData

          public void setResponseData(java.util.Collection<java.lang.String> responseData)

    - #### createComponentState

          protected org.ajax4jsf.model.DataComponentState createComponentState()

      Overrides:
        `createComponentState` in class `org.ajax4jsf.component.SequenceDataAdaptor`

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext faces)

      Overrides:
        `processDecodes` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext faces)

      Overrides:
        `processValidators` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext faces)

      Overrides:
        `processUpdates` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `org.ajax4jsf.component.UIDataAdaptor`
      Throws:
        `java.io.IOException`

    - #### createDataModel

          protected org.ajax4jsf.model.ExtendedDataModel createDataModel()

      Overrides:
        `createDataModel` in class `org.ajax4jsf.component.SequenceDataAdaptor`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### dataChildren

          protected java.util.Iterator<javax.faces.component.UIComponent> dataChildren()

      Specified by:
        `dataChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### fixedChildren

          protected java.util.Iterator<javax.faces.component.UIComponent> fixedChildren()

      Specified by:
        `fixedChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.ajax4jsf.component.UIDataAdaptor`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### broadcastLocal

          protected boolean broadcastLocal(javax.faces.event.FacesEvent event)

      Overrides:
        `broadcastLocal` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### processScrolling

          public void processScrolling(javax.faces.event.FacesEvent event)

    - #### processSortingChange

          public void processSortingChange(javax.faces.event.FacesEvent event)

    - #### walk

          public void walk(javax.faces.context.FacesContext faces,
                  org.ajax4jsf.model.DataVisitor visitor,
                  java.lang.Object argument)
                    throws java.io.IOException

      Overrides:
        `walk` in class `org.ajax4jsf.component.UIDataAdaptor`
      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### isCacheable

          public boolean isCacheable()

    - #### getScrollPos

          public java.lang.String getScrollPos()

    - #### setScrollPos

          public void setScrollPos(java.lang.String scrollPos)

    - #### getSortListener

          public org.richfaces.event.sort.SortListener getSortListener()

    - #### setSortListener

          public void setSortListener(org.richfaces.event.sort.SortListener sortListener)

    - #### getSortMode

          public abstract java.lang.String getSortMode()

    - #### setSortMode

          public abstract void setSortMode(java.lang.String mode)

    - #### getSelectionMode

          public abstract org.richfaces.model.SelectionMode getSelectionMode()

    - #### setSelectionMode

          public abstract void setSelectionMode(org.richfaces.model.SelectionMode mode)

    - #### isSelectionEnabled

          public boolean isSelectionEnabled()

    - #### getActiveRowKey

          public abstract java.lang.Object getActiveRowKey()

    - #### setActiveRowKey

          public abstract void setActiveRowKey(java.lang.Object activeRowKey)

    - #### setRowIndex

          public void setRowIndex(int index)

      Overrides:
        `setRowIndex` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### resetReqRowsCount

          public void resetReqRowsCount()

    - #### isLimitToList

          public boolean isLimitToList()

      Specified by:
        `isLimitToList` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### setLimitToList

          public void setLimitToList(boolean submitForm)

      Specified by:
        `setLimitToList` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### isAjaxSingle

          public boolean isAjaxSingle()

      Specified by:
        `isAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### setAjaxSingle

          public void setAjaxSingle(boolean single)

      Specified by:
        `setAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`

    - #### getRowKeyConverter

          public javax.faces.convert.Converter getRowKeyConverter()

      Overrides:
        `getRowKeyConverter` in class `org.ajax4jsf.component.UIDataAdaptor`

    - #### setRowKeyConverter

          public void setRowKeyConverter(javax.faces.convert.Converter rowKeyConverter)

      Overrides:
        `setRowKeyConverter` in class `org.ajax4jsf.component.UIDataAdaptor`

Copyright © 2014. All Rights Reserved.